<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 10/29/2003 *
 * ===============                              Last change: 04/17/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : loader.php                                       *
 * -------------------------------------------------------------------- *
 * Short description : De-referrer page                                 *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Referrer neu setzen                              *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (ereg(basename(__FILE__), $_SERVER['PHP_SELF'])) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

if (!empty($_GET['url'])) {
	// Decode URL
	$url = COMPILE_CODE(@gzuncompress(base64_decode(urldecode($_GET['url']))));

	// Validate the URL
	if (VALIDATE_URL($url)) {
		// Prepare data for the template
		define('__URL', $url);

		// Generate a JavaScript that redirects us
		LOAD_TEMPLATE("loader");
	} else {
		// URL invalid
		LOAD_URL("index.php");
	}
} else {
	// Invalid or no URL entered!
	LOAD_URL("index.php");
}

//
?>
