<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 09/28/2003 *
 * ===============                              Last change: 04/09/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-edit_emails.php                             *
 * -------------------------------------------------------------------- *
 * Short description : Edit ordered mails e.g. redirecting the URL      *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Werbebuchungen aendern (z.B. umleiten der URL)   *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((ereg(basename(__FILE__), $_SERVER['PHP_SELF'])) || (!IS_ADMIN()))
{
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}
// Add description as navigation point
ADD_DESCR("admin", basename(__FILE__));

OPEN_TABLE("100%", "admin_content admin_content_align", "");
global $link;

if ((isset($_POST['ok'])) && (empty($_POST['id'])))
{
	unset($_POST['ok']);
}

$result = SQL_QUERY("SELECT id, sender, subject, payment_id, cat_id FROM "._MYSQL_PREFIX."_pool ORDER BY timestamp", __FILE__, __LINE__);
if (SQL_NUMROWS($result) > 0)
{
	if (isset($_POST['ok']))
	{
		// Make mail editable...
		$result = SQL_QUERY_ESC("SELECT subject, text, url FROM "._MYSQL_PREFIX."_pool WHERE id=%s LIMIT 1",
		 array(bigintval($_POST['id'])), __FILE__, __LINE__);
		list($subj, $text, $url) = SQL_FETCHROW($result);
		SQL_FREERESULT($result);
		define('__ID_VALUE'  , $_POST['id']);
		define('__URL_VALUE' , $url);
		define('__SUBJ_VALUE', $subj);
		define('__TEXT_VALUE', $text);

		// Load template
		LOAD_TEMPLATE("admin_edit_email");
	}
	 elseif (!empty($_POST['save']))
	{
		// Save changes
		if (!empty($SQL))
		{
			$result = SQL_QUERY_ESC("UPDATE "._MYSQL_PREFIX."_pool SET
subject='%s',
text='%s',
url='%s'
WHERE id=%s LIMIT 1",
 array(
	addslashes($_POST['subj']),
	addslashes($_POST['text']),
	addslashes($_POST['url']),
	bigintval($_POST['id']),
), __FILE__, __LINE__);
			if (SQL_AFFECTEDROWS($link, __FILE__, __LINE__) == 1)
			{
				$content = "<SPAN class=\"admin_done\">".SETTINGS_SAVED."</SPAN>";
			}
			 else
			{
				$content = "<SPAN class=\"admin_failed\">".SETTINGS_NOT_SAVED."</SPAN>";
			}
		}
		 else
		{
			$content = "<SPAN class=\"admin_failed\">".SETTINGS_NOT_SAVED."</SPAN>";
		}

		// Display message
		LOAD_TEMPLATE("admin_settings_saved", false, $content);
	}
	 else
	{
		// There are mail orders available
		$SW = 2; $OUT = "";
		while (list($id, $sender, $subj, $pay, $cat) = SQL_FETCHROW($result))
		{
			// Prepare data for the row template
			$content = array(
				'sw'   => $SW,
				'id'   => $id,
				'subj' => $subj,
				'uid'  => ADMIN_USER_PROFILE_LINK($sender),
				'pay'  => GET_PAYMENT($pay),
				'cat'  => GET_CATEGORY($cat),
			);

			// Load row template and switch colors
			$OUT .= LOAD_TEMPLATE("admin_edit_email_row", true, $content);
			$SW = 3 - $SW;
		}

		// Free memory
		SQL_FREERESULT($result);
		define('__EMAIL_SELECT_ROWS', $OUT);

		// Load email template
		LOAD_TEMPLATE("admin_edit_email_select");
	}
}
 else
{
	// No mail orders left in pool
	OUTPUT_HTML("<SPAN class=\"admin_failed\">".ADMIN_NO_MAILS_IN_POOL."</SPAN>");
}
CLOSE_TABLE();
//
?>
